Skip to main content
GET
/
calls
/
{callId}
Get a call
curl --request GET \
  --url https://api.altahq.com/v1/calls/{callId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "objectType": "call",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "from": "<string>",
  "to": "<string>",
  "duration": 123,
  "summary": "<string>",
  "endedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

callId
string<uuid>
required

The UUID of the call.

Response

The call object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
call
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

from
string
required

The phone number the call was made from.

to
string
required

The phone number the call was made to.

callType
enum<string>
required

The direction or type of the call.

Available options:
inbound,
outbound,
web
duration
number

Duration of the call in seconds.

summary
string

AI-generated summary of the call.

endedAt
string<date-time>

Timestamp when the call ended.

startedAt
string<date-time>

Timestamp when the call started.

prospectId
string<uuid>

The ID of the prospect associated with this call.